Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Oct 2021 21:22:33 +0300

> From: Juri Linkov <[email-masked]>
> Cc: Dmitry Gutov <[email-masked]>,  [email-masked],  [email-masked]
> Date: Thu, 07 Oct 2021 20:36:13 +0300
> 
> >> Let's deprecate the binding in Emacs 28, so it can be used for branch 
> >> commands in Emacs 29.
> >
> > As I already said, I don't want to deprecate the binding if we are not
> > deprecating the command which uses it.
> 
> I don't understand how this is different from removing other keybindings
> such as recently removing the global binding 'M-o' ('facemenu-keymap'),
> etc.

It isn't.  But that even was enough pain for a single release, so I'd
like to avoid repeating it.